Subject: Re: [PATCH v2 0/3] send-email: teach git send-email mode to translate aliases

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Aug 2024 09:54:45 -0700

Jacob Keller <[email-masked]> writes:

> The b4 program has its own "b4 send" utility for sending a patch series. It
> is similar in many respects to git send-email. Currently, it lacks support
> for processing aliases, which makes switching between git send-email and b4
> send somewhat annoying.
>
> It would be convenient if b4 (or other programs interacting with git) could
> make use of git send-email's alias file support.
>
> Teach git send-email a new --translate-aliases option, which enables a new
> mode for git send-email. When executed with this option, git send-email
> will read standard input and convert each input according to the configured
> alias file. The resulting address will be output to standard out.
>
> I also considered implementing a new "full" format for --dump-aliases which
> would dump the entire alias file along with its configured email addresses.
> I ended up dropping that change as I felt that it would be less usable than
> the translation feature.
>
> Signed-off-by: Jacob Keller <[email-masked]>
> ---
> Changes in v2:
> - Use standard input instead of command line arguments
> - Link to v1: https://lore.kernel.org/r/[email-masked]
>
> ---
> Jacob Keller (3):
>       t90001-send-email.sh: fix quoting for mailrc --dump-aliases test

Nobody noticed the typo in the filename since the previous iteration
was posted?

>       t9001-send-email.sh: update alias list used for pine test
>       send-email: teach git send-email option to translate aliases
>
>  Documentation/git-send-email.txt |   7 +++
>  git-send-email.perl              |  21 ++++++-
>  t/t9001-send-email.sh            | 118 +++++++++++++++++++++++++++++++++++++--
>  3 files changed, 139 insertions(+), 7 deletions(-)
> ---
> base-commit: 406f326d271e0bacecdb00425422c5fa3f314930
> change-id: 20240808-jk-translate-alias-send-email-1ce048643e5d
>
> Best regards,